Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-vcstools
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global realname vcstools
%global gitrev 963c121

Name:           python-module-vcstools
Version:        0.1.30
Release:        alt1_1.20130318git963c121
Summary:        Version Control System tools for Python

License:        BSD
URL:            http://www.ros.org/wiki/vcstools
#wget --content-disposition https://github.com/vcstools/vcstools/tarball/0.1.30
Source0:        %{realname}-%{realname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-distribute
BuildRequires:  python-module-sphinx
Source44: import.info


%description
The vcstools module provides a Python API for interacting with different 
version control systems (VCS/SCMs). The VcsClient class provides an API 
for seamless interacting with Git, Mercurial (Hg), Bzr and SVN. The focus 
of the API is manipulating on-disk checkouts of source-controlled trees. 
Its main use is to support the rosinstall tool.

%prep
%setup -q -n %{realname}-%{realname}-%{gitrev}
sed -i 's/haiku/default/' doc/conf.py
sed -i 's/:special-members://' doc/vcstools.rst

%build
pushd doc
make html
%if ! 0%{?rhel}
make man
%endif
popd

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT
%if ! 0%{?rhel}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
chmod -x doc/_build/man/vcstools.1
install -p -m 0644 doc/_build/man/vcstools.1 $RPM_BUILD_ROOT%{_mandir}/man1/
%endif
rm -rf doc/_build/html/.buildinfo

%files
%doc doc/_build/html LICENSE 
%{python_sitelibdir_noarch}/%{realname}
%{python_sitelibdir_noarch}/%{realname}-*.egg-info
%if ! 0%{?rhel}
%{_mandir}/man1/**
%endif

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.30-alt1_1.20130318git963c121
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.26-alt1_2.20130102gitd41568f
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.26-alt1_1.20130102gitd41568f
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.24-alt1_1.20121026gitba30262
- initial fc import

